summaryrefslogtreecommitdiff
path: root/prepare_stage2_repo.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2018-02-18 21:40:12 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2018-02-18 21:40:12 +0100
commit44f5b7af6444173b16d1495023d80aaef8a9c47a (patch)
treefb470c6efae079bfecfa25d92b3424dc6cfc0058 /prepare_stage2_repo.sh
parent224768b40915233bf11a863946ffdcb2dda6a63f (diff)
downloadbootstrap32-44f5b7af6444173b16d1495023d80aaef8a9c47a.tar.xz
work on stage 2
Diffstat (limited to 'prepare_stage2_repo.sh')
-rwxr-xr-xprepare_stage2_repo.sh27
1 files changed, 27 insertions, 0 deletions
diff --git a/prepare_stage2_repo.sh b/prepare_stage2_repo.sh
new file mode 100755
index 0000000..5ce5f00
--- /dev/null
+++ b/prepare_stage2_repo.sh
@@ -0,0 +1,27 @@
+#!/bin/sh
+
+# shellcheck source=./default.conf
+. "./default.conf"
+
+# prepare the i486-build for stage 2
+
+if test ! -d $STAGE2_CHROOT; then
+ mkdir $STAGE2_CHROOT
+ mkdir -p $STAGE2_PACKAGES
+fi
+
+if test ! -d $STAGE2_BUILD; then
+
+ # prepare the build enviroment
+
+ mkdir $STAGE2_BUILD
+ cd $STAGE2_BUILD || exit 1
+
+ # TODO: check makepkg in stage1 hdd
+ # TODO: makepkg patch to run as root or add a build user to hdd
+ # TODO: we assume we have on cpu for now on the target
+
+ echo "Prepared the stage 2 build environment."
+fi
+
+echo "Stage 2 ready."